Bug 129216 - Files with UIDs higher than 2^16-1 are "owned" by "nfsnobody".
Files with UIDs higher than 2^16-1 are "owned" by "nfsnobody".
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel (Show other bugs)
3.0
All Linux
medium Severity high
: ---
: ---
Assigned To: Steve Dickson
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-08-05 02:53 EDT by Leigh Upton
Modified: 2009-12-02 14:04 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-02 14:04:24 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Leigh Upton 2004-08-05 02:53:58 EDT
Description of problem:
Files with UIDs higher than 2^16-1 are owned by "nfsnobody". 

Version-Release number of selected component (if applicable):
n/a

How reproducible:
Create a user with UID higher than 2^16.
Check ownership of the files on a RHEL3 box

Steps to Reproduce:
1.
2.
3.
  
Actual results:
User: jl186060 jl186060::70253:70253:John G. LaBounty,IC 6Q25,245-
2024,HPHN,186060:/glb/home/jl186060:/bin/ksh

sg199555@nor-n-d99998[#30]ls -l /glb/home/jl186060/.profile
-rwxr-xr-x    1 nfsnobody nfsnobody     3952 Jul 21 
08:58 /glb/home/jl186060/.profile*
sg199555@nor-n-d99998[#31]uname -a
Linux nor-n-d99998 2.4.21-15.0.3.nfswan #1 SMP Fri Jul 2 13:27:06 
CEST 2004 x86_64 x86_64 x86_64 GNU/Linux

gibc version returns:
glibc-2.3.2-95.20


Expected results:
Files owned by proper user.

Additional info:
File system is on a network, mounted via NFS
Comment 1 Jakub Jelinek 2004-08-12 04:25:04 EDT
Large UIDs certainly work on the local filesystem (just verified),
so if it doesn't work with NFS, it is either NFS limitation, or kernel bug.
Comment 2 Leigh Upton 2004-08-17 03:54:42 EDT
I get the proper username/group under Solaris 8 on the same NFS 
mount. So it's definately a limitation in Linux. Is there a 
workaround for this? We really need to have those UIDs > 2^16-1 
working.

Gr,
Xander
Comment 3 Leigh Upton 2004-08-17 04:18:45 EDT
I am having problems with large uids on local file system (ext3) as 
well.
Kernel: 2.4.21-15.0.3 (RHEL)
CPU: x86_64

[root@rijkes-n-d00022 mightor]# id mightor
uid=777777(mightor) gid=777777(u_777777) groups=777777(u_777777)

[root@rijkes-n-d00022 home]# chown mightor:u_777777 mightor

[root@rijkes-n-d00022 home]# ls -ld mightor
drwx------    4 nfsnobody nfsnobody     4096 Aug 17 10:15 mightor

[root@rijkes-n-d00022 home]# ls -lnd mightor
drwx------    4 65534    65534        4096 Aug 17 10:15 mightor

What did you do to make it work on the local filesystem?

Gr,
Xander
Comment 4 Mike Bruns 2004-09-08 17:07:08 EDT
FYI. It appears the new kernel (2.4.21-20.EMPsmp)fixes this problem 
for the IBM AMD Opteron.
Comment 5 Rik van Riel 2004-09-08 17:18:05 EDT
Assigned to RHEL3 kernel team lead.  

Note that RHEL issues are best handled through support, who are better
set up to handle ongoing customer issues. Bugzilla is more of an
engineering tool...

https://www.redhat.com/apps/support/
Comment 6 Steve Dickson 2004-10-15 07:37:15 EDT
Should be fixed in nfs-utils-1.0.6-33EL
Comment 7 Don Howard 2009-12-02 14:04:24 EST
Closing this old bug that is in modified state.  If this bug has not been resolved, please reopen it with new information.

Note You need to log in before you can comment on or make changes to this bug.